// packageC/micro_communities/microSearchIndex/microSearchIndex.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    commodityTitle: '',
    historydata: []
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getHistory();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  onShareTimeline(){},
  getHistory() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.micro-communities.api.index.getSearch");
    let dataJson = {};
    app._postNetWork({
      url: urlStr,
      showToastIn: false,
      data: dataJson,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            historydata: res.data.data
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {}
    });
  },
  goToSearch() {
    wx.navigateTo({
      url: '/packageC/micro_communities/microClassification/microClassification?searchdata=' + this.data.commodityTitle
    });
  },
  clearHistory() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.micro-communities.api.trick.delSearch");
    let dataJson = {};
    app._postNetWork({
      url: urlStr,
      showToastIn: false,
      data: dataJson,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            historydata: []
          });
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }
      },
      fail: function(res) {}
    });
  },
  goHistoryBtn(e) {
    // let val = e.currentTarget.dataset.val;
    wx.navigateTo({
      url: '/packageC/micro_communities/microClassification/microClassification?searchdata=' + this.data.val
    });
  },
  commodityTitleInp(e) {
    let val = e.detail.value;
    this.setData({
      commodityTitle: val
    });
  },
  commodityTitleClear() {
    this.setData({
      commodityTitle: ''
    });
  }
});
